{
  "type": "minecraft:geode",
  "config": {
    "blocks": {
      "filling_provider": {
        "type": "minecraft:simple_state_provider",
        "state": {
          "Name": "minecraft:lava"
        }
      },
      "inner_layer_provider": {
        "type": "minecraft:simple_state_provider",
        "state": {
          "Name": "minecraft:purpur_block"
        }
      },
      "alternate_inner_layer_provider": {
        "type": "minecraft:weighted_state_provider",
        "entries": [
          {
            "data": {
              "Name": "minecraft:chiseled_stone_bricks"
            },
            "weight": 5
          },
          {
            "data": {
              "Name": "minecraft:diamond_ore"
            },
            "weight": 2
          }
        ]
      },
      "middle_layer_provider": {
        "type": "minecraft:simple_state_provider",
        "state": {
          "Name": "minecraft:crying_obsidian"
        }
      },
      "outer_layer_provider": {
        "type": "minecraft:simple_state_provider",
        "state": {
          "Name": "minecraft:obsidian"
        }
      },
      "inner_placements": [
        {
          "Name": "minecraft:coal_block"
        }
      ],
      "cannot_replace": "#features_cannot_replace",
      "invalid_blocks": "#geode_invalid_blocks"
    },
    "layers": {},
    "crack": {},
    "invalid_blocks_threshold": 1,
    "use_alternate_layer0_chance": 0.083
  }
}